package com.gh.gamecenter.qa.myqa;

import android.content.Context;
import android.content.Intent;
import android.os.Bundle;

import com.gh.gamecenter.common.base.activity.ToolBarActivity;
import com.gh.gamecenter.R;
import com.gh.gamecenter.common.constant.EntranceConsts;
import com.gh.gamecenter.common.utils.ExtensionsKt;

/**
 * Created by khy on 10/04/18.
 */

public class MyAskActivity extends ToolBarActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        ExtensionsKt.updateStatusBarColor(this, R.color.background_white, R.color.background_white);
    }

    @Override
    protected boolean isAutoResetViewBackgroundEnabled() {
        return true;
    }

    @Override
    protected void onDarkModeChanged() {
        super.onDarkModeChanged();
        ExtensionsKt.updateStatusBarColor(this, R.color.background_white, R.color.background_white);
    }

    public static Intent getIntent(Context context) {
        Bundle bundle = new Bundle();
        bundle.putString(EntranceConsts.KEY_ENTRANCE, "(我的光环)+(我的问答)");
        return getTargetIntent(context, MyAskActivity.class, MyAskWrapperFragment.class, bundle);
    }
}